%define upstream_name    File-ShareDir
%define upstream_version 1.118

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Locate per-dist and per-module shared files  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Inspector) >= 1.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::ShareDir::Install) >= 0.130.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Locate per-dist and per-module shared files  

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.118.0-3.mga10
+ Revision: 2206520
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.118.0-2.mga9
+ Revision: 1813477
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 tv <tv> 1.118.0-1.mga8
+ Revision: 1638213
- update to 1.118

* Wed Feb 12 2020 umeabot <umeabot> 1.116.0-3.mga8
+ Revision: 1504490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.116.0-2.mga7
+ Revision: 1283702
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 tv <tv> 1.116.0-1.mga7
+ Revision: 1239670
- update to 1.116

* Fri Jun 22 2018 tv <tv> 1.114.0-1.mga7
+ Revision: 1238740
- update to 1.114

* Tue Jun 19 2018 tv <tv> 1.112.0-1.mga7
+ Revision: 1237993
- update to 1.112

* Sat Jun 16 2018 tv <tv> 1.110.0-1.mga7
+ Revision: 1237280
- update to 1.110

* Sat Jun 16 2018 tv <tv> 1.108.0-1.mga7
+ Revision: 1237235
- update to 1.108

* Mon Jun 11 2018 tv <tv> 1.106.0-1.mga7
+ Revision: 1236355
- update to 1.106

* Sat Jul 22 2017 shlomif <shlomif> 1.104.0-1.mga7
+ Revision: 1128545
- update to 1.104

* Sun Jun 19 2016 pterjan <pterjan> 1.102.0-6.mga6
+ Revision: 1027549
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.102.0-5.mga6
+ Revision: 943258
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.102.0-4.mga5
+ Revision: 745297
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.102.0-3.mga5
+ Revision: 732143
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.102.0-2.mga5
+ Revision: 684762
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.102.0-1.mga5
+ Revision: 624285
- update to 1.102

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 511637
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 367377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 52495
- update to 1.03

* Wed Jan 19 2011 jquelin <jquelin> 1.20.0-2.mga1
+ Revision: 24419
- fix specs
- imported package perl-File-ShareDir

